Bug 466304 - traceback when attempting kickstart
traceback when attempting kickstart
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 13:02 EDT by Patrick C. F. Ernzer
Modified: 2008-10-20 17:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 17:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from the console server when this happens (27.34 KB, text/plain)
2008-10-09 13:04 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2008-10-09 13:02:09 EDT
Description of problem:
with F10 beta, when trying kickstart, my machine will sit indefinitely (longest wait was a full night) at the "waiting for hardware to initialize..." step. But if I press enter anaconda dies with the following traceback
loader received SIGSEGV!  Backtrace:
/sbin/loader(loaderSegvHandler+0xa0)[0x804fd20]
[0x132400]
/lib/libnewt.so.0.52(newtGetKey+0x50)[0x136e70]
/lib/libnewt.so.0.52(newtFormRun+0x44e)[0x139c9e]
/lib/libnewt.so.0.52(newtRunForm+0x29)[0x139ed9]
/sbin/loader(configureTCPIP+0x769)[0x8063e29]
/sbin/loader(readNetConfig+0x7f)[0x8065ddf]
/sbin/loader(kickstartNetworkUp+0x63)[0x8065fb3]
/sbin/loader(getFileFromUrl+0xa8)[0x8060ee8]
/sbin/loader(kickstartFromUrl+0x20)[0x8061470]
/sbin/loader(getKickstartFile+0xc1)[0x8059801]
/sbin/loader(main+0x2327)[0x80529b7]
/lib/libc.so.6(__libc_start_main+0xe5)[0x3b16e5]
/sbin/loader[0x804d981]
install exited abnormally [1/1] 



Version-Release number of selected component (if applicable):
Fedora 10 beta

How reproducible:
always

Steps to Reproduce:
1. have a working PXE entry (F9, F8, RHEl5, RHEL4, etc)
2. modify it for F10 beta kickstart testing
3. try to kickstart a machine
  
Actual results:
failure to kickstart

Expected results:
successful kickstart

Additional info:
quite a few notes:
1) my menu.c32 entry is as follows, please do double check my sanity, I've looked over it a dozen times but may have missed a typo
label f10betai386ks
  MENU LABEL Fedora 10 Beta i386 kickstart install
  TEXT HELP
  This entry will erase all your HDs
  Only use if you want to install a system for testing
  ENDTEXT
  IPAPPEND 2
  kernel f10betai386/vmlinuz
  append initrd=f10betai386/initrd.img ks=http://192.10.10.250/kickstart/pcfe/F10-beta-minimaltesting-i386-ks.cfg ksdevice=bootif console=ttyS0,115200

(last 3 are obviously one line)

2) an interactive install on these boxes works just fine (still have bug 377921 but install itself in interactive mode does work)

3) This hardware is a bit different from run-off-the-mill hardware in the following points
  - there is no VGA hardware on the blade
  - all my HDs are attached through QLA2312 controllers
    (2 controllers per system I have tried this with one path up
     and both paths up)
Comment 1 Patrick C. F. Ernzer 2008-10-09 13:04:26 EDT
Created attachment 319879 [details]
log from the console server when this happens

console server will insert timestamps but it does log everything nicely (including control chars)
Comment 3 David Cantrell 2008-10-14 23:51:50 EDT
Fixed in anaconda-11.4.1.49-1, please test rawhide when that version appears in the tree.
Comment 4 Patrick C. F. Ernzer 2008-10-20 14:05:56 EDT
confirm this is gone in anaconda 11.4.1.50
was battling with what I filed today as  Bug 467753, so did not get to test with .49

In any case, this can be CLOSED RAWHIDE I presume.

Note You need to log in before you can comment on or make changes to this bug.